TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Statement

repeat

### Syntax

repeat <statements> until <elt-alg^boo>;

### Description

<shortdoc> The 'repeat' loop executes the statement sequence <statements> until the condition evaluates to 'true'. First <statements> are executed. Then the bollean expression is evaluated. If it evaluates to 'true' the 'repeat' loop terminates and the statement immediately following the 'repeat' loop is executed next. Otherwise if it evaluates to 'false' the whole process begins again with the execution of the <statements>. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack